Subject: Re: Boot failure on x86_64 (OOPS set_cpu_sibling_map() )

From: Ingo Molnar <[email-masked]>
Date: Mon, 3 Aug 2009 14:07:39 +0200

* Borislav Petkov <[email-masked]> wrote:

> Hi Ingo,
> 
> On Mon, Aug 03, 2009 at 11:31:44AM +0200, Ingo Molnar wrote:
> > Borislav, this patch:
> > 
> >  From 4581c6313c16a38ffcef8bccd6ffbe9598d585b0 Mon Sep 17 00:00:00 2001
> >  From: Andreas Herrmann <[email-masked]>
> >  Date: Fri, 24 Jul 2009 10:21:06 +0200
> >  Subject: [PATCH] x86: provide CPU topology information for multi-node processors
> > 
> >  arch/x86/include/asm/processor.h |    2 ++
> >  arch/x86/include/asm/smp.h       |    6 ++++++
> >  arch/x86/include/asm/topology.h  |    2 ++
> >  arch/x86/kernel/cpu/common.c     |    2 ++
> >  arch/x86/kernel/cpu/proc.c       |    1 +
> >  arch/x86/kernel/smpboot.c        |   20 ++++++++++++++++----
> >  6 files changed, 29 insertions(+), 4 deletions(-)
> > 
> > has absolutely _ZERO_ place in the EDAC tree. It was submitted to 
> > the x86 tree and was under discussion - i requested changes to it so 
> > this current form has my NAK.
> 
> I know that, I'm following the discussion. I needed the 
> functionality in EDAC and that's why I added them _temporarily_ to 
> the mix so that the whole series (esp. the MCE bits) can see some 
> testing. Which obviously caught some issues :).
> 
> But I'm very well aware that the patches are not final and they 
> will go through x86 when done. This is what I told Stephen when 
> upping them for linux-next.

Next time please tell the x86 maintainers too ;-)

The thing that was blocking this commit is really the insufficient 
sched-domains integration of said NUMA bits. I think the NUMA bits 
look good and if the EDAC tree makes use of it we can merge it in 
.32.

Mind preparing a separate branch for it (.31-rc5 based) and send me 
a pull request so that we can share the commit between the EDAC tree 
and the x86 tree?

Thanks,

	Ingo